MVP.HE.Vg.Ve {rMVP} | R Documentation

## To estimate variance component using HE regression

### Description

Build date: Feb 2, 2017 Last update: Feb 2, 2019

### Usage

    MVP.HE.Vg.Ve(y, X, K)

### Arguments

`y` | phenotype
`X` | genotype
`K` | kinship matrix

### Value

vg, ve, and delta

### Author(s)

Translated from C++(GEMMA, Xiang Zhou) to R by: Haohao Zhang

### Examples

    phePath <- system.file("extdata", "07_other", "mvp.phe", package = "rMVP")
    phenotype <- read.table(phePath, header=TRUE)
    print(dim(phenotype))
    genoPath <- system.file("extdata", "06_mvp-impute", "mvp.imp.geno.desc", package = "rMVP")
    genotype <- attach.big.matrix(genoPath)
    print(dim(genotype))

    K <- MVP.K.VanRaden(genotype)
    vc <- MVP.HE.Vg.Ve(y=phenotype[,2], X=matrix(1, nrow(phenotype)), K=K)
    print(vc)

[Package rMVP version 0.99.15 Index]